import { Watcher } from '../types/observer';
import { State } from '../types/store';
export default class Dep<T = State> {
    static target: any;
    id: number;
    subs: Watcher[];
    state: State;
    child: any;
    constructor(child: any, state: State);
    addSub(sub: Watcher): void;
    depend(): void;
    notify(): void;
}
export declare function setTarget(target: Watcher): void;
export declare function clearTarget(): void;
