import { CreateElementOptions, updateOptions } from '../types/utils';
import { State } from '../types/store';
import { UpdateCbType } from "../types/components";
export declare function createEL(tagName?: string): HTMLElement;
export default function createSVG(name: string): Element;
export declare function createElement(opt: CreateElementOptions, state: State): Node;
export declare function hidden(el: HTMLElement, vis: boolean): void;
export declare function appendChild(children: Element | Element[], parent?: HTMLElement | undefined): void;
export declare function visible(vis: boolean): 'none' | 'inline-block';
export declare function update<T>(el: HTMLElement, opt: updateOptions<T> | string[], type?: keyof UpdateCbType, styKey?: string): void;
