import { MonthOrYearComponents, pageName } from '../../types/store';
import { HeaderType } from '../../types/components';
import { _EventListener } from "../../types/utils";
export declare const utilStyle: {
    'text-align': string;
    padding: string;
    width: string;
};
export declare function handleRange(state: MonthOrYearComponents): _EventListener[];
export declare function nextYear(type: HeaderType): void;
export declare function preYear(): void;
export declare function nextMonth(type: HeaderType): void;
export declare function preMonth(): void;
export declare function toMonthPage(state: MonthOrYearComponents): void;
export declare function selectYear(state: MonthOrYearComponents): void;
export declare function selectMonth(state: MonthOrYearComponents): void;
export declare function toDayPage(state: MonthOrYearComponents): void;
export declare function toYearPage(): void;
export declare function isDayPage(page: pageName): 'none' | 'inline-block';
