import { UtilObject } from '../types/utils';
export declare function isNumber(val: unknown): val is number;
export declare function isObject(val: unknown): val is UtilObject;
export declare function isFunc<T = string>(val: unknown): val is (...arg: any) => T;
export declare function isString(val: unknown): val is string;
export declare function isBoolean(val: unknown): val is boolean;
export declare function isArray<T = unknown>(val: unknown): val is T[];
